## NAME

r.clump - Recategorizes data in a raster map layer by grouping cells that form physically discrete areas into unique categories.

## KEYWORDS

raster

## SYNOPSIS

r.clump
r.clump help
r.clump [-q] input=name output=name [title="string"] [--overwrite]

### Flags:

-q
  Quiet
--overwrite
  Force overwrite of output files

### Parameters:

input=name
  Name of input raster map
output=name
  Name for output raster map
title="string"
  Title, in quotes

## DESCRIPTION

r.clump finds all areas of contiguous cell category values in the input raster map layer name. It assigns a unique category value to each such area ("clump") in the resulting output raster map layer name. If the user does not provide input and output map layer names on the command line, the program will prompt the user for these names, using the standard parser interface (see manual entry for parser). Category distinctions in the input raster map layer are preserved. This means that if distinct category values are adjacent, they will NOT be clumped together. (The user can run r.reclass prior to r.clump to recategorize cells and reassign cell category values.)

## ALGORITHM

r.clump moves a 2x2 matrix over the input raster map layer. The lower right-hand corner of the matrix is grouped with the cells above it, or to the left of it. (Diagonal cells are not considered.)

## NOTES

r.clump works properly with raster map layers that contain only "fat" areas (more than a single cell in width). Linear elements (lines that are a single cell wide) may or may not be clumped together depending on the direction of the line -- horizontal and vertical lines of cells are considered to be contiguous, but diagonal lines of cells are not considered to be contiguous and are broken up into separate clumps.

A random color table and other support files are generated for the output raster map layer.

## SEE ALSO

r.average
r.buffer
r.grow
r.mapcalc
r.mfilter
r.neighbors
r.to.vect
r.reclass
r.support

## AUTHOR

Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2006/04/18 15:14:26 $

Main index - raster index - Full index